Installer - Feature #29817

Support a pool of dynflow workers
05/14/2020 12:19 PM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 2.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/843,
https://github.com/theforeman/puppet-kat
ello/pull/364,
https://github.com/theforeman/foreman-p
ackaging/pull/5608

Description
It should be possible for users to manage a number of workers. This means scaling up and down.

Associated revisions

Revision 67f78b9b - 04/01/2021 03:27 PM - Ewoud Kohl van Wijngaarden

Fixes #29817 - Implement a dynflow worker pool

Revision 271b5d8b - 04/07/2021 02:46 PM - Ewoud Kohl van Wijngaarden

Refs #29817 - Implement a resizable hosts_queue pool

This uses the new foreman::dynflow::pool defined type which allows users
to easily add additional workers or scale them back.

History

#1 - 05/14/2020 12:27 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/843 added

#2 - 06/08/2020 01:12 PM - Tomer Brisker
- Target version changed from 2.1.0 to 2.2.0

Still WIP, pushing out to 2.2.

#3 - 07/31/2020 04:34 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/5608 added

#4 - 08/12/2020 01:31 PM - Eric Helms
- Target version changed from 2.2.0 to 2.3.0

#5 - 10/15/2020 07:36 PM - lan Ballou

Is this still being targeted for Foreman 2.3? Stabilization is coming up soon. Asking because my related puppet-katello PR is targeted for Foreman
2.3 & Katello 3.18 as well https://github.com/theforeman/puppet-katello/pull/346

#6 - 10/19/2020 12:56 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-katello/pull/364 added
https://github.com/theforeman/puppet-katello/pull/346

#7 - 11/23/2020 10:01 AM - Ewoud Kohl van Wijngaarden
- Target version changed from 2.3.0 to 2.4.0

- Triaged changed from No to Yes

It missed branching so pushing to 2.4.

#8 - 01/27/2021 01:56 PM - Tomer Brisker
- Target version deleted (2.4.0)

#9 - 04/01/2021 03:27 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#10 - 04/01/2021 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|67f78b9b45d1b5b8118b6575bf1902056d1978d0.
